#!/bin/bash
#
# Set a random wallpaper from the Fuduntu Backgrounds package on first login
#

##################
BACKGROUNDS=(/usr/share/backgrounds/{Freeman,Everest,Fuduntu,Mickka}/*)
if [ "$(gconftool-2 -g /desktop/gnome/background/picture_filename)" = "/usr/share/backgrounds/Fuduntu/Fuduntu_Logo.jpg" ]; then
  gconftool-2 -t string -s /desktop/gnome/background/picture_filename "${BACKGROUNDS[$((RANDOM%${#BACKGROUNDS[*]}+0))]}"
fi

if [ ! -d "/home/$USER/.config/autostart" ]; then
  mkdir -p /home/$USER/.config/autostart 2>/dev/null || :
fi

if [ ! -e "/home/$USER/.config/autostart/randombg.desktop" ]; then
  cp /etc/xdg/autostart/randombg.desktop /home/$USER/.config/autostart/randombg.desktop
  chmod 755 /home/$USER/.config/autostart/randombg.desktop
  echo "X-GNOME-Autostart-enabled=false" >> /home/$USER/.config/autostart/randombg.desktop
fi
